clang 8.0.0

Classes | Namespaces | Enumerations
CodeGenTBAA.h File Reference
`#include "clang/AST/Type.h"`
`#include "clang/Basic/LLVM.h"`
`#include "llvm/ADT/DenseMap.h"`
`#include "llvm/IR/MDBuilder.h"`
`#include "llvm/IR/Metadata.h"`
Include dependency graph for CodeGenTBAA.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::CodeGen::TBAAAccessInfo
class | clang::CodeGen::CodeGenTBAA
| CodeGenTBAA - This class organizes the cross-module state that is used while lowering AST types to LLVM types. More...
struct | llvm::DenseMapInfo< clang::CodeGen::TBAAAccessInfo >

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::CodeGen
| llvm
| DominatorTree GraphTraits specialization so the DominatorTree can be iterable by generic graph iterators.

## Enumerations
enum | clang::CodeGen::TBAAAccessKind : unsigned { clang::CodeGen::TBAAAccessKind::Ordinary, clang::CodeGen::TBAAAccessKind::MayAlias, clang::CodeGen::TBAAAccessKind::Incomplete }